#include "TMHistogrammingEventDumpHeaderShort.h"

//_____________________________________________________________________
TMHistogrammingEventDumpHeaderShort::TMHistogrammingEventDumpHeaderShort() :
  TMHistogrammingEventDump()
{
}
//_____________________________________________________________________
TMHistogrammingEventDumpHeaderShort::~TMHistogrammingEventDumpHeaderShort() {
}
//_____________________________________________________________________
void TMHistogrammingEventDumpHeaderShort::EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber) {
  if (fEventAccept) {
    TString newEv = Form("______________________________________________________EVENT %d (PHYSICS EVENT)______________________________________________________",globalEventNumber);
    if (DumpThis(newEv.Data())) {
      DumpHeaderShort(fEvent);
      DumpThis(" ");
      fNeedRedump=kTRUE;
    }
  }

  TMHistogramming::EndEvent(str, globalEventNumber);
}
